Add an asset to a whitelisted contract
Adds an asset to a whitelisted contract. Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor.
POST
/
contracts
/
{contractId}
/
{assetId}
TypeScript
const response: Promise<FireblocksResponse<ExternalWalletAsset>> = fireblocks.contracts.addContractAsset(contractsApiAddContractAssetRequest);CompletableFuture<ApiResponse<ExternalWalletAsset>> response = fireblocks.contracts().addContractAsset(contractId, assetId, addContractAssetRequest, idempotencyKey);response = fireblocks.contracts.add_contract_asset(contract_id, asset_id, add_contract_asset_request, idempotency_key);curl --request POST \
--url https://api.fireblocks.io/v1/contracts/{contractId}/{assetId} \
--header 'Content-Type: application/json' \
--data '
{
"address": "<string>",
"tag": "<string>"
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({address: '<string>', tag: '<string>'})
};
fetch('https://api.fireblocks.io/v1/contracts/{contractId}/{assetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"address": "<string>",
"balance": 123,
"lockedAmount": 123,
"tag": "<string>",
"activationTime": "<string>",
"additionalInfo": [
{
"accountHolderGivenName": "<string>",
"accountHolderSurname": "<string>",
"accountHolderCity": "<string>",
"accountHolderCountry": "<string>",
"accountHolderAddress1": "<string>",
"accountHolderAddress2": "<string>",
"accountHolderDistrict": "<string>",
"accountHolderPostalCode": "<string>",
"abaRoutingNumber": "<string>",
"abaAccountNumber": "<string>",
"abaCountry": "<string>",
"iban": "<string>",
"ibanCity": "<string>",
"ibanCountry": "<string>",
"speiClabe": "<string>",
"speiName": "<string>"
}
]
}{
"message": "<string>",
"code": 123
}Headers
A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.
Path Parameters
The ID of the contract
The ID of the asset to add
Body
application/json
Was this page helpful?
Previous
Delete an asset from a whitelisted contractDeletes a whitelisted contract asset by ID. Endpoint Permission: Admin, Non-Signing Admin, Signer, Approver, Editor.
Next
⌘I
TypeScript
const response: Promise<FireblocksResponse<ExternalWalletAsset>> = fireblocks.contracts.addContractAsset(contractsApiAddContractAssetRequest);CompletableFuture<ApiResponse<ExternalWalletAsset>> response = fireblocks.contracts().addContractAsset(contractId, assetId, addContractAssetRequest, idempotencyKey);response = fireblocks.contracts.add_contract_asset(contract_id, asset_id, add_contract_asset_request, idempotency_key);